_TFT_clear:
;display.c,30 :: 		void TFT_clear()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;display.c,32 :: 		row = INIT_ROW;
MOVS	R1, #50
MOVW	R0, #lo_addr(_row+0)
MOVT	R0, #hi_addr(_row+0)
STRB	R1, [R0, #0]
;display.c,33 :: 		TFT_Fill_Screen( CL_WHITE );
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
;display.c,34 :: 		TFT_Line( 20,  40, 300,  40 );
MOVS	R3, #40
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #40
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
;display.c,35 :: 		TFT_Line( 20, 220, 300, 220 );
MOVS	R3, #220
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #220
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
;display.c,36 :: 		TFT_Set_Font( &HandelGothic_BT21x22_Regular , CL_RED, FO_HORIZONTAL );
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_HandelGothic_BT21x22_Regular+0)
MOVT	R0, #hi_addr(_HandelGothic_BT21x22_Regular+0)
BL	_TFT_Set_Font+0
;display.c,37 :: 		TFT_Write_Text( "WiFi 6 click", 100, 14 );
MOVW	R0, #lo_addr(?lstr1_display+0)
MOVT	R0, #hi_addr(?lstr1_display+0)
MOVS	R2, #14
MOVS	R1, #100
BL	_TFT_Write_Text+0
;display.c,38 :: 		TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
;display.c,39 :: 		TFT_Write_Text("EasyMx PRO v7 for STM32", 19, 223);
MOVW	R0, #lo_addr(?lstr2_display+0)
MOVT	R0, #hi_addr(?lstr2_display+0)
MOVS	R2, #223
MOVS	R1, #19
BL	_TFT_Write_Text+0
;display.c,40 :: 		TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
;display.c,41 :: 		TFT_Write_Text( "www.mikroe.com", 200, 223 );
MOVW	R0, #lo_addr(?lstr3_display+0)
MOVT	R0, #hi_addr(?lstr3_display+0)
MOVS	R2, #223
MOVS	R1, #200
BL	_TFT_Write_Text+0
;display.c,42 :: 		TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
;display.c,43 :: 		}
L_end_TFT_clear:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _TFT_clear
_init_TFT:
;display.c,46 :: 		void init_TFT()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;display.c,48 :: 		TFT_Init_ILI9341_8bit(320, 240);
MOVS	R1, #240
MOVW	R0, #320
BL	_TFT_Init_ILI9341_8bit+0
;display.c,49 :: 		TFT_BLED = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;display.c,50 :: 		TFT_Set_Pen( CL_WHITE, 1 );
MOVS	R1, #1
MOVW	R0, #65535
BL	_TFT_Set_Pen+0
;display.c,51 :: 		TFT_Set_Brush( 1,CL_WHITE,0,0,0,0 );
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #65535
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;display.c,52 :: 		TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
;display.c,53 :: 		TFT_Set_Pen( CL_BLACK, 1 );
MOVS	R1, #1
MOVW	R0, #0
BL	_TFT_Set_Pen+0
;display.c,54 :: 		TFT_clear();
BL	_TFT_clear+0
;display.c,55 :: 		}
L_end_init_TFT:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _init_TFT
_TFT_display_message:
;display.c,58 :: 		uint8_t TFT_display_message(uint8_t* text)
SUB	SP, SP, #8
STR	LR, [SP, #0]
STR	R0, [SP, #4]
;display.c,61 :: 		if(strlen(text)>MAX_LEN)
LDR	R0, [SP, #4]
BL	_strlen+0
CMP	R0, #40
IT	LE
BLE	L_TFT_display_message0
;display.c,63 :: 		return -1;
MOVS	R0, #-1
IT	AL
BAL	L_end_TFT_display_message
;display.c,64 :: 		}
L_TFT_display_message0:
;display.c,65 :: 		if(row>=230)
MOVW	R1, #lo_addr(_row+0)
MOVT	R1, #hi_addr(_row+0)
LDRB	R1, [R1, #0]
CMP	R1, #230
IT	CC
BCC	L_TFT_display_message1
;display.c,67 :: 		delay_ms(50);
MOVW	R7, #10175
MOVT	R7, #9
NOP
NOP
L_TFT_display_message2:
SUBS	R7, R7, #1
BNE	L_TFT_display_message2
NOP
NOP
NOP
;display.c,68 :: 		TFT_clear();
BL	_TFT_clear+0
;display.c,69 :: 		}
L_TFT_display_message1:
;display.c,71 :: 		TFT_write_text(text,MARGIN,row);
MOVW	R1, #lo_addr(_row+0)
MOVT	R1, #hi_addr(_row+0)
LDRB	R1, [R1, #0]
UXTH	R2, R1
MOVS	R1, #30
LDR	R0, [SP, #4]
BL	_TFT_Write_Text+0
;display.c,72 :: 		row+=20;
MOVW	R2, #lo_addr(_row+0)
MOVT	R2, #hi_addr(_row+0)
LDRB	R1, [R2, #0]
ADDS	R1, #20
STRB	R1, [R2, #0]
;display.c,74 :: 		return 0;
MOVS	R0, #0
;display.c,75 :: 		}
L_end_TFT_display_message:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _TFT_display_message
_show_status:
;display.c,78 :: 		void show_status(uint8_t* text, uint8_t uart_only)
; uart_only start address is: 4 (R1)
; text start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R7, R0
UXTB	R8, R1
; uart_only end address is: 4 (R1)
; text end address is: 0 (R0)
; text start address is: 28 (R7)
; uart_only start address is: 32 (R8)
;display.c,80 :: 		UART1_Write_Text(text);
MOV	R0, R7
BL	_UART1_Write_Text+0
;display.c,81 :: 		if(text[strlen(text)-1] == ':')
MOV	R0, R7
BL	_strlen+0
SUBS	R2, R0, #1
SXTH	R2, R2
ADDS	R2, R7, R2
LDRB	R2, [R2, #0]
CMP	R2, #58
IT	NE
BNE	L_show_status4
;display.c,82 :: 		UART1_Write_Text(" ");
MOVW	R2, #lo_addr(?lstr4_display+0)
MOVT	R2, #hi_addr(?lstr4_display+0)
MOV	R0, R2
BL	_UART1_Write_Text+0
IT	AL
BAL	L_show_status5
L_show_status4:
;display.c,84 :: 		UART1_Write_Text("\r\n");
MOVW	R2, #lo_addr(?lstr5_display+0)
MOVT	R2, #hi_addr(?lstr5_display+0)
MOV	R0, R2
BL	_UART1_Write_Text+0
L_show_status5:
;display.c,85 :: 		if(!uart_only)
CMP	R8, #0
IT	NE
BNE	L_show_status6
; uart_only end address is: 32 (R8)
;display.c,86 :: 		TFT_display_message(text);
MOV	R0, R7
; text end address is: 28 (R7)
BL	_TFT_display_message+0
L_show_status6:
;display.c,87 :: 		}
L_end_show_status:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _show_status
_show_status_hex:
;display.c,90 :: 		void show_status_hex(uint32_t buffer, uint8_t displ_mode)
; buffer start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
STRB	R1, [SP, #4]
; buffer end address is: 0 (R0)
; buffer start address is: 0 (R0)
;display.c,103 :: 		if(displ_mode>1)
LDRB	R2, [SP, #4]
CMP	R2, #1
IT	LS
BLS	L_show_status_hex7
;display.c,105 :: 		sprintf(txt,"0x%LX %Ld '%c'",buffer,buffer,buffer);
MOVW	R3, #lo_addr(?lstr_6_display+0)
MOVT	R3, #hi_addr(?lstr_6_display+0)
MOVW	R2, #lo_addr(_txt+0)
MOVT	R2, #hi_addr(_txt+0)
PUSH	(R0)
PUSH	(R0)
PUSH	(R0)
; buffer end address is: 0 (R0)
PUSH	(R3)
PUSH	(R2)
BL	_sprintf+0
ADD	SP, SP, #20
;display.c,106 :: 		}
IT	AL
BAL	L_show_status_hex8
L_show_status_hex7:
;display.c,109 :: 		sprintf(txt,"0x%LX",buffer);
; buffer start address is: 0 (R0)
MOVW	R3, #lo_addr(?lstr_7_display+0)
MOVT	R3, #hi_addr(?lstr_7_display+0)
MOVW	R2, #lo_addr(_txt+0)
MOVT	R2, #hi_addr(_txt+0)
PUSH	(R0)
; buffer end address is: 0 (R0)
PUSH	(R3)
PUSH	(R2)
BL	_sprintf+0
ADD	SP, SP, #12
;display.c,110 :: 		}
L_show_status_hex8:
;display.c,111 :: 		UART1_Write_Text(txt);
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_UART1_Write_Text+0
;display.c,112 :: 		if(!(displ_mode & 0x4))
LDRB	R2, [SP, #4]
AND	R2, R2, #4
UXTB	R2, R2
CMP	R2, #0
IT	NE
BNE	L_show_status_hex9
;display.c,113 :: 		UART1_Write_Text("\r\n");
MOVW	R2, #lo_addr(?lstr8_display+0)
MOVT	R2, #hi_addr(?lstr8_display+0)
MOV	R0, R2
BL	_UART1_Write_Text+0
L_show_status_hex9:
;display.c,114 :: 		if(!(displ_mode & 0x1))
LDRB	R2, [SP, #4]
AND	R2, R2, #1
UXTB	R2, R2
CMP	R2, #0
IT	NE
BNE	L_show_status_hex10
;display.c,115 :: 		TFT_display_message(txt);
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_TFT_display_message+0
L_show_status_hex10:
;display.c,116 :: 		}
L_end_show_status_hex:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _show_status_hex
_show_status_dec:
;display.c,119 :: 		void show_status_dec(uint32_t buffer, uint8_t uart_only)
; buffer start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
STRB	R1, [SP, #4]
; buffer end address is: 0 (R0)
; buffer start address is: 0 (R0)
;display.c,121 :: 		sprintf(txt,"%u",buffer);
MOVW	R3, #lo_addr(?lstr_9_display+0)
MOVT	R3, #hi_addr(?lstr_9_display+0)
MOVW	R2, #lo_addr(_txt+0)
MOVT	R2, #hi_addr(_txt+0)
PUSH	(R0)
; buffer end address is: 0 (R0)
PUSH	(R3)
PUSH	(R2)
BL	_sprintf+0
ADD	SP, SP, #12
;display.c,122 :: 		UART1_Write_Text(txt);
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_UART1_Write_Text+0
;display.c,123 :: 		UART1_Write_Text("\r\n");
MOVW	R2, #lo_addr(?lstr10_display+0)
MOVT	R2, #hi_addr(?lstr10_display+0)
MOV	R0, R2
BL	_UART1_Write_Text+0
;display.c,124 :: 		if(!uart_only)
LDRB	R2, [SP, #4]
CMP	R2, #0
IT	NE
BNE	L_show_status_dec11
;display.c,125 :: 		TFT_display_message(txt);
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_TFT_display_message+0
L_show_status_dec11:
;display.c,126 :: 		}
L_end_show_status_dec:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _show_status_dec
_show_status_IP:
;display.c,129 :: 		void show_status_IP(uint8_t* a, uint8_t uart_only)
; uart_only start address is: 4 (R1)
; a start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
STRB	R1, [SP, #4]
MOV	R1, R0
; uart_only end address is: 4 (R1)
; a end address is: 0 (R0)
; a start address is: 4 (R1)
; uart_only start address is: 0 (R0)
;display.c,131 :: 		sprintf(txt,"%d.%d.%d.%d",a[0],a[1],a[2],a[3]);
ADDS	R2, R1, #3
LDRB	R2, [R2, #0]
UXTB	R7, R2
ADDS	R2, R1, #2
LDRB	R2, [R2, #0]
UXTB	R6, R2
ADDS	R2, R1, #1
LDRB	R2, [R2, #0]
UXTB	R5, R2
LDRB	R2, [R1, #0]
; a end address is: 4 (R1)
UXTB	R4, R2
MOVW	R3, #lo_addr(?lstr_11_display+0)
MOVT	R3, #hi_addr(?lstr_11_display+0)
MOVW	R2, #lo_addr(_txt+0)
MOVT	R2, #hi_addr(_txt+0)
PUSH	(R7)
PUSH	(R6)
PUSH	(R5)
PUSH	(R4)
PUSH	(R3)
PUSH	(R2)
BL	_sprintf+0
ADD	SP, SP, #24
LDRB	R0, [SP, #4]
;display.c,132 :: 		show_status(txt,uart_only);
UXTB	R1, R0
; uart_only end address is: 0 (R0)
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_show_status+0
;display.c,133 :: 		}
L_end_show_status_IP:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _show_status_IP
_show_status_IP_uint:
;display.c,136 :: 		void show_status_IP_uint(uint32_t addr, uint8_t uart_only)
; uart_only start address is: 4 (R1)
; addr start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
UXTB	R2, R1
; uart_only end address is: 4 (R1)
; addr end address is: 0 (R0)
; addr start address is: 0 (R0)
; uart_only start address is: 8 (R2)
;display.c,139 :: 		for(i=0;i<4;i++)
; i start address is: 4 (R1)
MOVS	R1, #0
; addr end address is: 0 (R0)
; uart_only end address is: 8 (R2)
; i end address is: 4 (R1)
MOV	R4, R0
UXTB	R0, R2
L_show_status_IP_uint12:
; i start address is: 4 (R1)
; uart_only start address is: 0 (R0)
; addr start address is: 16 (R4)
CMP	R1, #4
IT	CS
BCS	L_show_status_IP_uint13
;display.c,141 :: 		a[i] = addr & 0xFF;
ADD	R2, SP, #8
ADDS	R3, R2, R1
AND	R2, R4, #255
STRB	R2, [R3, #0]
;display.c,142 :: 		addr >>= 8;
LSRS	R4, R4, #8
;display.c,139 :: 		for(i=0;i<4;i++)
ADDS	R1, R1, #1
UXTB	R1, R1
;display.c,143 :: 		}
; addr end address is: 16 (R4)
; i end address is: 4 (R1)
IT	AL
BAL	L_show_status_IP_uint12
L_show_status_IP_uint13:
;display.c,144 :: 		sprintf(txt,"%d.%d.%d.%d",a[0],a[1],a[2],a[3]);
ADD	R3, SP, #8
ADDS	R2, R3, #3
LDRB	R2, [R2, #0]
UXTB	R7, R2
ADDS	R2, R3, #2
LDRB	R2, [R2, #0]
UXTB	R6, R2
ADDS	R2, R3, #1
LDRB	R2, [R2, #0]
UXTB	R5, R2
LDRB	R2, [R3, #0]
UXTB	R4, R2
MOVW	R3, #lo_addr(?lstr_12_display+0)
MOVT	R3, #hi_addr(?lstr_12_display+0)
MOVW	R2, #lo_addr(_txt+0)
MOVT	R2, #hi_addr(_txt+0)
STRB	R0, [SP, #4]
PUSH	(R7)
PUSH	(R6)
PUSH	(R5)
PUSH	(R4)
PUSH	(R3)
PUSH	(R2)
BL	_sprintf+0
ADD	SP, SP, #24
LDRB	R0, [SP, #4]
;display.c,145 :: 		show_status(txt,uart_only);
UXTB	R1, R0
; uart_only end address is: 0 (R0)
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_show_status+0
;display.c,146 :: 		}
L_end_show_status_IP_uint:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _show_status_IP_uint
_show_headline:
;display.c,149 :: 		void show_headline(uint8_t* h_data)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STR	R0, [SP, #12]
;display.c,156 :: 		uint16 h_len = strlen(h_data);
LDR	R0, [SP, #12]
BL	_strlen+0
;display.c,157 :: 		uint16 start=0,cur=0,space_cur=0;
; cur start address is: 8 (R2)
MOVW	R2, #0
MOVW	R1, #0
STRH	R1, [SP, #8]
;display.c,158 :: 		if(TFT_display_message(h_data)==0)
STRH	R2, [SP, #4]
LDR	R0, [SP, #12]
BL	_TFT_display_message+0
LDRH	R2, [SP, #4]
CMP	R0, #0
IT	NE
BNE	L_show_headline15
; cur end address is: 8 (R2)
;display.c,160 :: 		return;
IT	AL
BAL	L_end_show_headline
;display.c,161 :: 		}
L_show_headline15:
;display.c,163 :: 		while(h_data[cur])
; cur start address is: 8 (R2)
UXTH	R4, R2
L_show_headline16:
; cur end address is: 8 (R2)
; cur start address is: 16 (R4)
LDR	R1, [SP, #12]
ADDS	R1, R1, R4
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L_show_headline17
; cur end address is: 16 (R4)
UXTH	R0, R4
;display.c,165 :: 		while(cur<=MAX_LEN)
L_show_headline18:
; cur start address is: 0 (R0)
CMP	R0, #40
IT	HI
BHI	L_show_headline19
;display.c,167 :: 		if(h_data[cur]==' ')
LDR	R1, [SP, #12]
ADDS	R1, R1, R0
LDRB	R1, [R1, #0]
CMP	R1, #32
IT	NE
BNE	L_show_headline20
;display.c,169 :: 		space_cur = cur;
STRH	R0, [SP, #8]
;display.c,170 :: 		}
L_show_headline20:
;display.c,171 :: 		if(h_data[cur]=='\0')
LDR	R1, [SP, #12]
ADDS	R1, R1, R0
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	NE
BNE	L_show_headline21
;display.c,173 :: 		memcpy(h_tmp,h_data,cur);
STRH	R0, [SP, #4]
SXTH	R2, R0
LDR	R1, [SP, #12]
MOVW	R0, #lo_addr(_h_tmp+0)
MOVT	R0, #hi_addr(_h_tmp+0)
BL	_memcpy+0
LDRH	R0, [SP, #4]
;display.c,174 :: 		h_tmp[cur] = '\0';
MOVW	R1, #lo_addr(_h_tmp+0)
MOVT	R1, #hi_addr(_h_tmp+0)
ADDS	R2, R1, R0
; cur end address is: 0 (R0)
MOVS	R1, #0
STRB	R1, [R2, #0]
;display.c,175 :: 		TFT_display_message(h_tmp);
MOVW	R0, #lo_addr(_h_tmp+0)
MOVT	R0, #hi_addr(_h_tmp+0)
BL	_TFT_display_message+0
;display.c,176 :: 		return;
IT	AL
BAL	L_end_show_headline
;display.c,177 :: 		}
L_show_headline21:
;display.c,178 :: 		cur++;
; cur start address is: 0 (R0)
ADDS	R4, R0, #1
UXTH	R4, R4
; cur end address is: 0 (R0)
; cur start address is: 16 (R4)
;display.c,179 :: 		}
UXTH	R0, R4
; cur end address is: 16 (R4)
IT	AL
BAL	L_show_headline18
L_show_headline19:
;display.c,180 :: 		memcpy(h_tmp,h_data,space_cur);
LDRH	R2, [SP, #8]
LDR	R1, [SP, #12]
MOVW	R0, #lo_addr(_h_tmp+0)
MOVT	R0, #hi_addr(_h_tmp+0)
BL	_memcpy+0
;display.c,181 :: 		h_tmp[space_cur] = '\0';
LDRH	R2, [SP, #8]
MOVW	R1, #lo_addr(_h_tmp+0)
MOVT	R1, #hi_addr(_h_tmp+0)
ADDS	R2, R1, R2
MOVS	R1, #0
STRB	R1, [R2, #0]
;display.c,182 :: 		TFT_display_message(h_tmp);
MOVW	R0, #lo_addr(_h_tmp+0)
MOVT	R0, #hi_addr(_h_tmp+0)
BL	_TFT_display_message+0
;display.c,183 :: 		h_data += space_cur;
LDRH	R2, [SP, #8]
LDR	R1, [SP, #12]
ADDS	R1, R1, R2
STR	R1, [SP, #12]
;display.c,184 :: 		cur = 0;
; cur start address is: 16 (R4)
MOVS	R4, #0
;display.c,185 :: 		}
; cur end address is: 16 (R4)
IT	AL
BAL	L_show_headline16
L_show_headline17:
;display.c,186 :: 		}
L_end_show_headline:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _show_headline
_show_data_xml:
;display.c,189 :: 		void show_data_xml(uint8_t* data)
; _data start address is: 0 (R0)
SUB	SP, SP, #20
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;display.c,196 :: 		uint8_t i,buffer_cur = 0;
; buffer_cur start address is: 20 (R5)
MOVS	R5, #0
;display.c,197 :: 		h_cnt = 0;
MOVS	R2, #0
MOVW	R1, #lo_addr(_h_cnt+0)
MOVT	R1, #hi_addr(_h_cnt+0)
STRB	R2, [R1, #0]
;display.c,198 :: 		show_status("\r\n\r\n",1);
MOVW	R1, #lo_addr(?lstr13_display+0)
MOVT	R1, #hi_addr(?lstr13_display+0)
STRB	R5, [SP, #4]
STR	R0, [SP, #8]
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
; _data end address is: 0 (R0)
; buffer_cur end address is: 20 (R5)
LDR	R0, [SP, #8]
LDRB	R5, [SP, #4]
MOV	R6, R0
;display.c,199 :: 		while(*data && h_cnt < MAX_TITLE_COUNT)
L_show_data_xml22:
; buffer_cur start address is: 20 (R5)
; _data start address is: 24 (R6)
LDRB	R1, [R6, #0]
CMP	R1, #0
IT	EQ
BEQ	L__show_data_xml39
MOVW	R1, #lo_addr(_h_cnt+0)
MOVT	R1, #hi_addr(_h_cnt+0)
LDRB	R1, [R1, #0]
CMP	R1, #10
IT	CS
BCS	L__show_data_xml38
L__show_data_xml37:
;display.c,201 :: 		if(*data=='<')
LDRB	R1, [R6, #0]
CMP	R1, #60
IT	NE
BNE	L__show_data_xml41
;display.c,203 :: 		if(!strncmp(data,"<title>",7))
MOVW	R1, #lo_addr(?lstr14_display+0)
MOVT	R1, #hi_addr(?lstr14_display+0)
MOVS	R2, #7
MOV	R0, R6
BL	_strncmp+0
CMP	R0, #0
IT	NE
BNE	L__show_data_xml40
;display.c,205 :: 		data+=7;
ADDS	R0, R6, #7
; _data end address is: 24 (R6)
; _data start address is: 0 (R0)
; _data end address is: 0 (R0)
; buffer_cur end address is: 20 (R5)
UXTB	R3, R5
;display.c,206 :: 		while(*data != '<')
L_show_data_xml28:
; _data start address is: 0 (R0)
; buffer_cur start address is: 12 (R3)
LDRB	R1, [R0, #0]
CMP	R1, #60
IT	EQ
BEQ	L_show_data_xml29
;display.c,208 :: 		txt[buffer_cur++] = *data;
MOVW	R1, #lo_addr(_txt+0)
MOVT	R1, #hi_addr(_txt+0)
ADDS	R2, R1, R3
LDRB	R1, [R0, #0]
STRB	R1, [R2, #0]
ADDS	R3, R3, #1
UXTB	R3, R3
;display.c,209 :: 		data++;
ADDS	R0, R0, #1
;display.c,210 :: 		}
IT	AL
BAL	L_show_data_xml28
L_show_data_xml29:
;display.c,211 :: 		txt[buffer_cur] = '\0';
MOVW	R1, #lo_addr(_txt+0)
MOVT	R1, #hi_addr(_txt+0)
ADDS	R2, R1, R3
MOVS	R1, #0
STRB	R1, [R2, #0]
;display.c,212 :: 		show_status(txt,1);
STRB	R3, [SP, #4]
STR	R0, [SP, #8]
MOVS	R1, #1
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_show_status+0
LDR	R0, [SP, #8]
LDRB	R3, [SP, #4]
;display.c,213 :: 		memcpy(h_buffer[h_cnt],txt,buffer_cur);
MOVW	R1, #lo_addr(_h_cnt+0)
MOVT	R1, #hi_addr(_h_cnt+0)
STR	R1, [SP, #16]
LDRB	R1, [R1, #0]
LSLS	R2, R1, #8
MOVW	R1, #lo_addr(_h_buffer+0)
MOVT	R1, #hi_addr(_h_buffer+0)
ADDS	R1, R1, R2
STR	R0, [SP, #4]
; buffer_cur end address is: 12 (R3)
UXTB	R2, R3
MOV	R0, R1
MOVW	R1, #lo_addr(_txt+0)
MOVT	R1, #hi_addr(_txt+0)
BL	_memcpy+0
LDR	R0, [SP, #4]
;display.c,214 :: 		buffer_cur = 1;
; buffer_cur start address is: 12 (R3)
MOVS	R3, #1
;display.c,215 :: 		txt[0] = '-';
MOVS	R2, #45
MOVW	R1, #lo_addr(_txt+0)
MOVT	R1, #hi_addr(_txt+0)
STRB	R2, [R1, #0]
;display.c,216 :: 		h_cnt++;
LDR	R2, [SP, #16]
MOV	R1, R2
LDRB	R1, [R1, #0]
ADDS	R1, R1, #1
STRB	R1, [R2, #0]
; buffer_cur end address is: 12 (R3)
; _data end address is: 0 (R0)
UXTB	R5, R3
;display.c,217 :: 		}
IT	AL
BAL	L_show_data_xml27
L__show_data_xml40:
;display.c,203 :: 		if(!strncmp(data,"<title>",7))
MOV	R0, R6
;display.c,217 :: 		}
L_show_data_xml27:
;display.c,218 :: 		}
; _data start address is: 0 (R0)
; buffer_cur start address is: 20 (R5)
; _data end address is: 0 (R0)
; buffer_cur end address is: 20 (R5)
IT	AL
BAL	L_show_data_xml26
L__show_data_xml41:
;display.c,201 :: 		if(*data=='<')
MOV	R0, R6
;display.c,218 :: 		}
L_show_data_xml26:
;display.c,219 :: 		data++;
; _data start address is: 0 (R0)
; buffer_cur start address is: 20 (R5)
ADDS	R1, R0, #1
; _data end address is: 0 (R0)
; _data start address is: 24 (R6)
MOV	R6, R1
;display.c,220 :: 		}
; buffer_cur end address is: 20 (R5)
; _data end address is: 24 (R6)
IT	AL
BAL	L_show_data_xml22
;display.c,199 :: 		while(*data && h_cnt < MAX_TITLE_COUNT)
L__show_data_xml39:
L__show_data_xml38:
;display.c,222 :: 		h_cur=2;
MOVS	R2, #2
MOVW	R1, #lo_addr(_h_cur+0)
MOVT	R1, #hi_addr(_h_cur+0)
STRB	R2, [R1, #0]
;display.c,223 :: 		while(1)
L_show_data_xml30:
;display.c,225 :: 		TFT_clear();
BL	_TFT_clear+0
;display.c,226 :: 		TFT_display_message(h_buffer[0]);
MOVW	R0, #lo_addr(_h_buffer+0)
MOVT	R0, #hi_addr(_h_buffer+0)
BL	_TFT_display_message+0
;display.c,227 :: 		TFT_display_message("");
MOVW	R1, #lo_addr(?lstr15_display+0)
MOVT	R1, #hi_addr(?lstr15_display+0)
MOV	R0, R1
BL	_TFT_display_message+0
;display.c,228 :: 		for(i=0;i<MAX_TITLE_DISPLAY;i++)
MOVS	R1, #0
STRB	R1, [SP, #12]
L_show_data_xml32:
LDRB	R1, [SP, #12]
CMP	R1, #2
IT	CS
BCS	L_show_data_xml33
;display.c,230 :: 		show_headline(h_buffer[h_cur]);
MOVW	R1, #lo_addr(_h_cur+0)
MOVT	R1, #hi_addr(_h_cur+0)
LDRB	R1, [R1, #0]
LSLS	R2, R1, #8
MOVW	R1, #lo_addr(_h_buffer+0)
MOVT	R1, #hi_addr(_h_buffer+0)
ADDS	R1, R1, R2
MOV	R0, R1
BL	_show_headline+0
;display.c,231 :: 		h_cur = 2 + (h_cur+1) % (h_cnt-2);
MOVW	R4, #lo_addr(_h_cur+0)
MOVT	R4, #hi_addr(_h_cur+0)
LDRB	R1, [R4, #0]
ADDS	R3, R1, #1
SXTH	R3, R3
MOVW	R1, #lo_addr(_h_cnt+0)
MOVT	R1, #hi_addr(_h_cnt+0)
LDRB	R1, [R1, #0]
SUBS	R2, R1, #2
SXTH	R2, R2
SDIV	R1, R3, R2
MLS	R1, R2, R1, R3
SXTH	R1, R1
ADDS	R1, R1, #2
STRB	R1, [R4, #0]
;display.c,232 :: 		TFT_display_message("");
MOVW	R1, #lo_addr(?lstr16_display+0)
MOVT	R1, #hi_addr(?lstr16_display+0)
MOV	R0, R1
BL	_TFT_display_message+0
;display.c,228 :: 		for(i=0;i<MAX_TITLE_DISPLAY;i++)
LDRB	R1, [SP, #12]
ADDS	R1, R1, #1
STRB	R1, [SP, #12]
;display.c,233 :: 		}
IT	AL
BAL	L_show_data_xml32
L_show_data_xml33:
;display.c,234 :: 		delay_ms(10000);
MOVW	R7, #3583
MOVT	R7, #1831
NOP
NOP
L_show_data_xml35:
SUBS	R7, R7, #1
BNE	L_show_data_xml35
NOP
NOP
NOP
;display.c,235 :: 		}
IT	AL
BAL	L_show_data_xml30
;display.c,236 :: 		}
L_end_show_data_xml:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _show_data_xml
