_init_WF121_UART:
;uart.c,26 :: 		void init_WF121_UART()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;uart.c,29 :: 		GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_10);
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;uart.c,30 :: 		GPIO_Digital_Input(&GPIOD_BASE, _GPIO_PINMASK_13);
MOVW	R1, #8192
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;uart.c,33 :: 		MCU_RTS=0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;uart.c,34 :: 		delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_init_WF121_UART0:
SUBS	R7, R7, #1
BNE	L_init_WF121_UART0
NOP
NOP
NOP
;uart.c,35 :: 		MCU_RTS=1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;uart.c,38 :: 		UART3_Init_Advanced(115200, _UART_8_BIT_DATA, _UART_NOPARITY, _UART_ONE_STOPBIT, &_GPIO_MODULE_USART3_PD89);
MOVW	R0, #lo_addr(__GPIO_MODULE_USART3_PD89+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_USART3_PD89+0)
PUSH	(R0)
MOVW	R3, #0
MOVW	R2, #0
MOVW	R1, #0
MOV	R0, #115200
BL	_UART3_Init_Advanced+0
ADD	SP, SP, #4
;uart.c,39 :: 		show_status("UART3 initialized",1);
MOVW	R0, #lo_addr(?lstr1_uart+0)
MOVT	R0, #hi_addr(?lstr1_uart+0)
MOVS	R1, #1
BL	_show_status+0
;uart.c,43 :: 		show_status("Please connect the module to mikroBUS 1",0);
MOVW	R0, #lo_addr(?lstr2_uart+0)
MOVT	R0, #hi_addr(?lstr2_uart+0)
MOVS	R1, #0
BL	_show_status+0
;uart.c,44 :: 		show_status("and restart the MCU.",0);
MOVW	R0, #lo_addr(?lstr3_uart+0)
MOVT	R0, #hi_addr(?lstr3_uart+0)
MOVS	R1, #0
BL	_show_status+0
;uart.c,45 :: 		}
L_end_init_WF121_UART:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _init_WF121_UART
_uart_send:
;uart.c,48 :: 		int8_t uart_send (uint16_t data_len, uint8_t* _data)
; _data start address is: 4 (R1)
; data_len start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R2, R1
UXTH	R1, R0
; _data end address is: 4 (R1)
; data_len end address is: 0 (R0)
; data_len start address is: 4 (R1)
; _data start address is: 8 (R2)
;uart.c,50 :: 		uint8_t* data_ptr = _data;
; data_ptr start address is: 0 (R0)
MOV	R0, R2
; _data end address is: 8 (R2)
;uart.c,54 :: 		if (data_len <= 0)
CMP	R1, #0
IT	HI
BHI	L_uart_send2
; data_ptr end address is: 0 (R0)
; data_len end address is: 4 (R1)
;uart.c,55 :: 		return -1;
MOVS	R0, #-1
SXTB	R0, R0
IT	AL
BAL	L_end_uart_send
L_uart_send2:
;uart.c,56 :: 		while(data_len)
; data_len start address is: 4 (R1)
; data_ptr start address is: 0 (R0)
UXTH	R4, R1
; data_len end address is: 4 (R1)
MOV	R5, R0
L_uart_send3:
; data_ptr end address is: 0 (R0)
; data_ptr start address is: 20 (R5)
; data_len start address is: 16 (R4)
CMP	R4, #0
IT	EQ
BEQ	L_uart_send4
;uart.c,58 :: 		if( MCU_CTS == 0 )
MOVW	R3, #lo_addr(GPIOD_IDR+0)
MOVT	R3, #hi_addr(GPIOD_IDR+0)
LDR	R2, [R3, #0]
CMP	R2, #0
IT	NE
BNE	L__uart_send11
;uart.c,64 :: 		UART3_Write(*(data_ptr++));
LDRB	R2, [R5, #0]
UXTH	R0, R2
BL	_UART3_Write+0
ADDS	R2, R5, #1
; data_ptr end address is: 20 (R5)
; data_ptr start address is: 0 (R0)
MOV	R0, R2
;uart.c,66 :: 		data_len--;
SUBS	R2, R4, #1
; data_len end address is: 16 (R4)
; data_len start address is: 4 (R1)
UXTH	R1, R2
; data_ptr end address is: 0 (R0)
; data_len end address is: 4 (R1)
MOV	R5, R0
UXTH	R4, R1
;uart.c,67 :: 		}
IT	AL
BAL	L_uart_send5
L__uart_send11:
;uart.c,58 :: 		if( MCU_CTS == 0 )
;uart.c,67 :: 		}
L_uart_send5:
;uart.c,68 :: 		}
; data_len start address is: 16 (R4)
; data_ptr start address is: 20 (R5)
; data_len end address is: 16 (R4)
; data_ptr end address is: 20 (R5)
IT	AL
BAL	L_uart_send3
L_uart_send4:
;uart.c,72 :: 		return 0;
MOVS	R0, #0
SXTB	R0, R0
;uart.c,73 :: 		}
L_end_uart_send:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _uart_send
_uart_get:
;uart.c,76 :: 		int8_t uart_get (uint16_t data_len, uint8_t *buff)
; buff start address is: 4 (R1)
; data_len start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; buff end address is: 4 (R1)
; data_len end address is: 0 (R0)
; data_len start address is: 0 (R0)
; buff start address is: 4 (R1)
;uart.c,78 :: 		uint8_t count = data_len;
; count start address is: 12 (R3)
UXTB	R3, R0
;uart.c,79 :: 		if (data_len <= 0)
CMP	R0, #0
IT	HI
BHI	L_uart_get6
; data_len end address is: 0 (R0)
; buff end address is: 4 (R1)
; count end address is: 12 (R3)
;uart.c,80 :: 		return -1;
MOVS	R0, #-1
SXTB	R0, R0
IT	AL
BAL	L_end_uart_get
L_uart_get6:
;uart.c,84 :: 		while(count--)
; count start address is: 12 (R3)
; buff start address is: 4 (R1)
MOV	R5, R1
; count end address is: 12 (R3)
UXTB	R0, R3
L_uart_get7:
; buff end address is: 4 (R1)
; count start address is: 0 (R0)
; buff start address is: 20 (R5)
UXTB	R3, R0
SUBS	R4, R0, #1
UXTB	R4, R4
; count end address is: 0 (R0)
; count start address is: 16 (R4)
CMP	R3, #0
IT	EQ
BEQ	L_uart_get8
;uart.c,86 :: 		MCU_RTS = 0;
MOVS	R3, #0
SXTB	R3, R3
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
STR	R3, [R2, #0]
; count end address is: 16 (R4)
; buff end address is: 20 (R5)
;uart.c,87 :: 		while(!UART3_Data_Ready());
L_uart_get9:
; count start address is: 16 (R4)
; buff start address is: 20 (R5)
BL	_UART3_Data_Ready+0
CMP	R0, #0
IT	NE
BNE	L_uart_get10
IT	AL
BAL	L_uart_get9
L_uart_get10:
;uart.c,88 :: 		MCU_RTS = 1;
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
STR	R3, [R2, #0]
;uart.c,90 :: 		rx_buffer = UART3_Read();
BL	_UART3_Read+0
MOVW	R2, #lo_addr(_rx_buffer+0)
MOVT	R2, #hi_addr(_rx_buffer+0)
STRB	R0, [R2, #0]
;uart.c,92 :: 		*(buff++) = rx_buffer;
UXTB	R2, R0
STRB	R2, [R5, #0]
ADDS	R5, R5, #1
;uart.c,96 :: 		}
; count end address is: 16 (R4)
; buff end address is: 20 (R5)
UXTB	R0, R4
IT	AL
BAL	L_uart_get7
L_uart_get8:
;uart.c,100 :: 		return 0;
MOVS	R0, #0
SXTB	R0, R0
;uart.c,101 :: 		}
L_end_uart_get:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _uart_get
