_wifi_cmd_system_reset_STM32:
;wifi6.c,119 :: 		void wifi_cmd_system_reset_STM32(uint8 dfu)
; dfu start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; dfu end address is: 0 (R0)
; dfu start address is: 0 (R0)
;wifi6.c,123 :: 		wifi_cmd_system_reset(dfu);
MOVW	R1, #lo_addr(_bglib_temp_msg+4)
MOVT	R1, #hi_addr(_bglib_temp_msg+4)
STRB	R0, [R1, #0]
; dfu end address is: 0 (R0)
MOVW	R2, #264
MOVT	R2, #257
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOVW	R3, #0
MOVT	R3, #0
MOVS	R2, #0
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #5
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,124 :: 		uart_get(1,&tmp);
ADD	R1, SP, #4
MOVS	R0, #1
BL	_uart_get+0
;wifi6.c,125 :: 		}
L_end_wifi_cmd_system_reset_STM32:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _wifi_cmd_system_reset_STM32
_uart_output:
;wifi6.c,129 :: 		void uart_output(uint8_t len1,uint8_t* data1,uint16_t len2,uint8_t* data2)
; data1 start address is: 4 (R1)
; len1 start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRH	R2, [SP, #4]
STR	R3, [SP, #8]
; data1 end address is: 4 (R1)
; len1 end address is: 0 (R0)
; len1 start address is: 0 (R0)
; data1 start address is: 4 (R1)
;wifi6.c,132 :: 		temp = uart_send(len1, data1);
; data1 end address is: 4 (R1)
; len1 end address is: 0 (R0)
BL	_uart_send+0
;wifi6.c,134 :: 		if (temp < 0)
UXTB	R4, R0
CMP	R4, #0
IT	CS
BCS	L_uart_output0
;wifi6.c,135 :: 		show_status("UART output failed",1);
MOVW	R4, #lo_addr(?lstr4_wifi6+0)
MOVT	R4, #hi_addr(?lstr4_wifi6+0)
MOVS	R1, #1
MOV	R0, R4
BL	_show_status+0
L_uart_output0:
;wifi6.c,137 :: 		if (len2 > 0)
LDRH	R4, [SP, #4]
CMP	R4, #0
IT	LS
BLS	L_uart_output1
;wifi6.c,139 :: 		if ( data2 )
LDR	R4, [SP, #8]
CMP	R4, #0
IT	EQ
BEQ	L_uart_output2
;wifi6.c,141 :: 		temp = uart_send(len2,data2);
LDR	R1, [SP, #8]
LDRH	R0, [SP, #4]
BL	_uart_send+0
;wifi6.c,142 :: 		if (temp < 0)
UXTB	R4, R0
CMP	R4, #0
IT	CS
BCS	L_uart_output3
;wifi6.c,143 :: 		show_status("UART output failed",1);
MOVW	R4, #lo_addr(?lstr5_wifi6+0)
MOVT	R4, #hi_addr(?lstr5_wifi6+0)
MOVS	R1, #1
MOV	R0, R4
BL	_show_status+0
L_uart_output3:
;wifi6.c,144 :: 		}
L_uart_output2:
;wifi6.c,145 :: 		}
L_uart_output1:
;wifi6.c,146 :: 		}
L_end_uart_output:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _uart_output
_goto_state:
;wifi6.c,150 :: 		void goto_state(enum wlan_state state)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STRB	R0, [SP, #4]
;wifi6.c,152 :: 		switch(state)
IT	AL
BAL	L_goto_state4
;wifi6.c,154 :: 		case wlan_state_hello:
L_goto_state6:
;wifi6.c,155 :: 		show_status("Checking UART connection...",1);
MOVW	R1, #lo_addr(?lstr6_wifi6+0)
MOVT	R1, #hi_addr(?lstr6_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,156 :: 		wifi_cmd_system_hello();
MOVW	R2, #8
MOVT	R2, #513
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOVW	R3, #0
MOVT	R3, #0
MOVS	R2, #0
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #4
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,157 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,158 :: 		case wlan_state_reset:
L_goto_state7:
;wifi6.c,159 :: 		show_status("Initializing module...",0);
MOVW	R1, #lo_addr(?lstr7_wifi6+0)
MOVT	R1, #hi_addr(?lstr7_wifi6+0)
MOV	R0, R1
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,160 :: 		wifi_cmd_system_reset_STM32(0);
MOVS	R0, #0
BL	_wifi_cmd_system_reset_STM32+0
;wifi6.c,161 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,162 :: 		case wlan_state_wifi_on:
L_goto_state8:
;wifi6.c,163 :: 		show_status("Turning WiFi radio on...",1);
MOVW	R1, #lo_addr(?lstr8_wifi6+0)
MOVT	R1, #hi_addr(?lstr8_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,164 :: 		wifi_cmd_sme_wifi_on();
MOVW	R2, #8
MOVT	R2, #3
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOVW	R3, #0
MOVT	R3, #0
MOVS	R2, #0
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #4
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,165 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,166 :: 		case wlan_state_connect:
L_goto_state9:
;wifi6.c,167 :: 		show_status("Connecting...",0);
MOVW	R1, #lo_addr(?lstr9_wifi6+0)
MOVT	R1, #hi_addr(?lstr9_wifi6+0)
MOV	R0, R1
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,168 :: 		wifi_cmd_sme_connect_ssid(strlen(ssid_data),ssid_data);
MOVW	R1, #lo_addr(_ssid_data+0)
MOVT	R1, #hi_addr(_ssid_data+0)
STR	R1, [SP, #12]
LDR	R1, [R1, #0]
MOV	R0, R1
BL	_strlen+0
MOVW	R3, #lo_addr(_bglib_temp_msg+4)
MOVT	R3, #hi_addr(_bglib_temp_msg+4)
STRB	R0, [R3, #0]
UXTB	R1, R0
ADDS	R1, R1, #1
LSRS	R1, R1, #8
ORR	R2, R1, #8
UXTB	R1, R0
ADDS	R1, R1, #1
AND	R1, R1, #255
LSLS	R1, R1, #8
ORR	R1, R2, R1, LSL #0
ORR	R1, R1, #196608
ORR	R2, R1, #117440512
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
LDR	R1, [SP, #12]
LDR	R4, [R1, #0]
MOV	R1, R3
LDRB	R1, [R1, #0]
MOV	R3, R4
UXTH	R2, R1
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #5
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,169 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,170 :: 		case wlan_state_tcp_connect:
L_goto_state10:
;wifi6.c,171 :: 		show_status("Initiating TCP connection...",1);
MOVW	R1, #lo_addr(?lstr10_wifi6+0)
MOVT	R1, #hi_addr(?lstr10_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,172 :: 		wifi_cmd_tcpip_tcp_connect(dest_ip, dest_port, -1);
MOVW	R1, #lo_addr(_dest_ip+0)
MOVT	R1, #hi_addr(_dest_ip+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(_bglib_temp_msg+4)
MOVT	R1, #hi_addr(_bglib_temp_msg+4)
STR	R2, [R1, #0]
MOVW	R1, #lo_addr(_dest_port+0)
MOVT	R1, #hi_addr(_dest_port+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(_bglib_temp_msg+8)
MOVT	R1, #hi_addr(_bglib_temp_msg+8)
STRH	R2, [R1, #0]
MOVS	R2, #-1
SXTB	R2, R2
MOVW	R1, #lo_addr(_bglib_temp_msg+10)
MOVT	R1, #hi_addr(_bglib_temp_msg+10)
STRB	R2, [R1, #0]
MOVW	R2, #1800
MOVT	R2, #260
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOVW	R3, #0
MOVT	R3, #0
MOVS	R2, #0
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #11
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,173 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,174 :: 		case wlan_state_tcp_send:
L_goto_state11:
;wifi6.c,175 :: 		show_status("Sending HTTP request...",1);
MOVW	R1, #lo_addr(?lstr11_wifi6+0)
MOVT	R1, #hi_addr(?lstr11_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,176 :: 		wifi_cmd_endpoint_send(tcp_endpoint, strlen(HTTP_req), HTTP_req);
MOVW	R1, #lo_addr(_tcp_endpoint+0)
MOVT	R1, #hi_addr(_tcp_endpoint+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(_bglib_temp_msg+4)
MOVT	R1, #hi_addr(_bglib_temp_msg+4)
STRB	R2, [R1, #0]
MOVW	R0, #lo_addr(_HTTP_req+0)
MOVT	R0, #hi_addr(_HTTP_req+0)
BL	_strlen+0
MOVW	R3, #lo_addr(_bglib_temp_msg+5)
MOVT	R3, #hi_addr(_bglib_temp_msg+5)
STRB	R0, [R3, #0]
UXTB	R1, R0
ADDS	R1, R1, #2
LSRS	R1, R1, #8
ORR	R2, R1, #8
UXTB	R1, R0
ADDS	R1, R1, #2
AND	R1, R1, #255
LSLS	R1, R1, #8
ORR	R1, R2, R1, LSL #0
ORR	R2, R1, #327680
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOV	R1, R3
LDRB	R1, [R1, #0]
MOVW	R3, #lo_addr(_HTTP_req+0)
MOVT	R3, #hi_addr(_HTTP_req+0)
UXTH	R2, R1
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #6
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,177 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,178 :: 		case wlan_state_disconnect:
L_goto_state12:
;wifi6.c,179 :: 		show_status("Disconnecting...",1);
MOVW	R1, #lo_addr(?lstr12_wifi6+0)
MOVT	R1, #hi_addr(?lstr12_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,180 :: 		wifi_cmd_sme_disconnect();
MOVW	R2, #8
MOVT	R2, #2051
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOVW	R3, #0
MOVT	R3, #0
MOVS	R2, #0
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #4
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,181 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,182 :: 		case wlan_state_dns_resolve:
L_goto_state13:
;wifi6.c,183 :: 		show_status("Sending a DNS request...",1);
MOVW	R1, #lo_addr(?lstr13_wifi6+0)
MOVT	R1, #hi_addr(?lstr13_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,184 :: 		wifi_cmd_tcpip_dns_gethostbyname(strlen(host),host);
MOVW	R1, #lo_addr(_host+0)
MOVT	R1, #hi_addr(_host+0)
STR	R1, [SP, #12]
LDR	R1, [R1, #0]
MOV	R0, R1
BL	_strlen+0
MOVW	R3, #lo_addr(_bglib_temp_msg+4)
MOVT	R3, #hi_addr(_bglib_temp_msg+4)
STRB	R0, [R3, #0]
UXTB	R1, R0
ADDS	R1, R1, #1
LSRS	R1, R1, #8
ORR	R2, R1, #8
UXTB	R1, R0
ADDS	R1, R1, #1
AND	R1, R1, #255
LSLS	R1, R1, #8
ORR	R1, R2, R1, LSL #0
ORR	R1, R1, #262144
ORR	R2, R1, #100663296
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOV	R1, R3
LDRB	R2, [R1, #0]
LDR	R1, [SP, #12]
LDR	R3, [R1, #0]
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #5
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,185 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,186 :: 		case wlan_state_max_power:
L_goto_state14:
;wifi6.c,187 :: 		show_status("Turning power saver off...",1);
MOVW	R1, #lo_addr(?lstr14_wifi6+0)
MOVT	R1, #hi_addr(?lstr14_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,188 :: 		wifi_cmd_system_set_max_power_saving_state(0);
MOVS	R2, #0
MOVW	R1, #lo_addr(_bglib_temp_msg+4)
MOVT	R1, #hi_addr(_bglib_temp_msg+4)
STRB	R2, [R1, #0]
MOVW	R2, #264
MOVT	R2, #769
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
MOVW	R3, #0
MOVT	R3, #0
MOVS	R2, #0
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #5
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,189 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,190 :: 		case wlan_state_set_pass:
L_goto_state15:
;wifi6.c,191 :: 		show_status("Setting password for AP...",1);
MOVW	R1, #lo_addr(?lstr15_wifi6+0)
MOVT	R1, #hi_addr(?lstr15_wifi6+0)
MOV	R0, R1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,192 :: 		wifi_cmd_sme_set_password(strlen(password_data),password_data);
MOVW	R1, #lo_addr(_password_data+0)
MOVT	R1, #hi_addr(_password_data+0)
STR	R1, [SP, #12]
LDR	R1, [R1, #0]
MOV	R0, R1
BL	_strlen+0
MOVW	R3, #lo_addr(_bglib_temp_msg+4)
MOVT	R3, #hi_addr(_bglib_temp_msg+4)
STRB	R0, [R3, #0]
UXTB	R1, R0
ADDS	R1, R1, #1
LSRS	R1, R1, #8
ORR	R2, R1, #8
UXTB	R1, R0
ADDS	R1, R1, #1
AND	R1, R1, #255
LSLS	R1, R1, #8
ORR	R1, R2, R1, LSL #0
ORR	R1, R1, #196608
ORR	R2, R1, #83886080
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
STR	R2, [R1, #0]
LDR	R1, [SP, #12]
LDR	R4, [R1, #0]
MOV	R1, R3
LDRB	R1, [R1, #0]
MOV	R3, R4
UXTH	R2, R1
MOVW	R1, #lo_addr(_bglib_temp_msg+0)
MOVT	R1, #hi_addr(_bglib_temp_msg+0)
MOVS	R0, #5
MOVW	R4, #lo_addr(_bglib_output+0)
MOVT	R4, #hi_addr(_bglib_output+0)
LDR	R4, [R4, #0]
BLX	R4
;wifi6.c,193 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,195 :: 		default:
L_goto_state16:
;wifi6.c,196 :: 		break;
IT	AL
BAL	L_goto_state5
;wifi6.c,197 :: 		}
L_goto_state4:
LDRB	R1, [SP, #4]
CMP	R1, #0
IT	EQ
BEQ	L_goto_state6
LDRB	R1, [SP, #4]
CMP	R1, #1
IT	EQ
BEQ	L_goto_state7
LDRB	R1, [SP, #4]
CMP	R1, #2
IT	EQ
BEQ	L_goto_state8
LDRB	R1, [SP, #4]
CMP	R1, #3
IT	EQ
BEQ	L_goto_state9
LDRB	R1, [SP, #4]
CMP	R1, #4
IT	EQ
BEQ	L_goto_state10
LDRB	R1, [SP, #4]
CMP	R1, #5
IT	EQ
BEQ	L_goto_state11
LDRB	R1, [SP, #4]
CMP	R1, #6
IT	EQ
BEQ	L_goto_state12
LDRB	R1, [SP, #4]
CMP	R1, #7
IT	EQ
BEQ	L_goto_state13
LDRB	R1, [SP, #4]
CMP	R1, #8
IT	EQ
BEQ	L_goto_state14
LDRB	R1, [SP, #4]
CMP	R1, #9
IT	EQ
BEQ	L_goto_state15
IT	AL
BAL	L_goto_state16
L_goto_state5:
;wifi6.c,198 :: 		internal_state = state;
LDRB	R2, [SP, #4]
MOVW	R1, #lo_addr(_internal_state+0)
MOVT	R1, #hi_addr(_internal_state+0)
STRB	R2, [R1, #0]
;wifi6.c,199 :: 		}
L_end_goto_state:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _goto_state
_main:
;wifi6.c,202 :: 		void main ()
SUB	SP, SP, #8
;wifi6.c,206 :: 		init_TFT();
BL	_init_TFT+0
;wifi6.c,209 :: 		UART1_Init(115200);
MOV	R0, #115200
BL	_UART1_Init+0
;wifi6.c,210 :: 		show_status("\r\n**************************",1);
MOVW	R0, #lo_addr(?lstr16_wifi6+0)
MOVT	R0, #hi_addr(?lstr16_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,211 :: 		show_status("UART1 initialized",1);
MOVW	R0, #lo_addr(?lstr17_wifi6+0)
MOVT	R0, #hi_addr(?lstr17_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,214 :: 		init_WF121_UART();
BL	_init_WF121_UART+0
;wifi6.c,217 :: 		BGLIB_INITIALIZE(uart_output);
MOVW	R1, #lo_addr(_uart_output+0)
MOVT	R1, #hi_addr(_uart_output+0)
MOVW	R0, #lo_addr(_bglib_output+0)
MOVT	R0, #hi_addr(_bglib_output+0)
STR	R1, [R0, #0]
;wifi6.c,220 :: 		goto_state(wlan_state_hello);
MOVS	R0, #0
BL	_goto_state+0
;wifi6.c,222 :: 		while(1)
L_main17:
;wifi6.c,226 :: 		memset(buffer,0,BGLIB_MSG_MAXLEN);
MOVW	R2, #2052
SXTH	R2, R2
MOVS	R1, #0
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
BL	_memset+0
;wifi6.c,230 :: 		ret = uart_get(BGLIB_MSG_HEADER_LEN, buffer);
MOVW	R1, #lo_addr(_buffer+0)
MOVT	R1, #hi_addr(_buffer+0)
MOVS	R0, #4
BL	_uart_get+0
MOVW	R1, #lo_addr(_ret+0)
MOVT	R1, #hi_addr(_ret+0)
STRH	R0, [R1, #0]
;wifi6.c,231 :: 		if(ret < 0)
MOV	R0, R1
LDRSH	R0, [R0, #0]
CMP	R0, #0
IT	GE
BGE	L_main19
;wifi6.c,233 :: 		show_status("main() - failed to read from serial port!",1);
MOVW	R0, #lo_addr(?lstr18_wifi6+0)
MOVT	R0, #hi_addr(?lstr18_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,234 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main20:
IT	AL
BAL	L_main20
;wifi6.c,235 :: 		}
L_main19:
;wifi6.c,238 :: 		msg_length = BGLIB_MSG_LEN(buffer);
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
LDR	R0, [R0, #0]
AND	R0, R0, #7
LSLS	R1, R0, #8
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
LDR	R0, [R0, #0]
AND	R0, R0, #65280
LSRS	R0, R0, #8
ORRS	R1, R0
MOVW	R0, #lo_addr(_msg_length+0)
MOVT	R0, #hi_addr(_msg_length+0)
STRH	R1, [R0, #0]
;wifi6.c,241 :: 		if(msg_length)
UXTH	R0, R1
CMP	R0, #0
IT	EQ
BEQ	L_main22
;wifi6.c,243 :: 		ret = uart_get(msg_length, &buffer[BGLIB_MSG_HEADER_LEN]);
MOVW	R0, #lo_addr(_msg_length+0)
MOVT	R0, #hi_addr(_msg_length+0)
LDRH	R0, [R0, #0]
MOVW	R1, #lo_addr(_buffer+4)
MOVT	R1, #hi_addr(_buffer+4)
BL	_uart_get+0
MOVW	R1, #lo_addr(_ret+0)
MOVT	R1, #hi_addr(_ret+0)
STRH	R0, [R1, #0]
;wifi6.c,244 :: 		if(ret < 0)
MOV	R0, R1
LDRSH	R0, [R0, #0]
CMP	R0, #0
IT	GE
BGE	L_main23
;wifi6.c,246 :: 		show_status("main() - failed to read from serial port!",1);
MOVW	R0, #lo_addr(?lstr19_wifi6+0)
MOVT	R0, #hi_addr(?lstr19_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,247 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main24:
IT	AL
BAL	L_main24
;wifi6.c,248 :: 		}
L_main23:
;wifi6.c,249 :: 		}
L_main22:
;wifi6.c,252 :: 		pck=BGLIB_MSG(buffer);
MOVW	R1, #lo_addr(_buffer+0)
MOVT	R1, #hi_addr(_buffer+0)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
STR	R1, [R0, #0]
;wifi6.c,255 :: 		switch(BGLIB_MSG_ID(buffer))
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
LDR	R1, [R0, #0]
MOVW	R0, #248
MOVT	R0, #65535
AND	R0, R1, R0, LSL #0
STR	R0, [SP, #4]
IT	AL
BAL	L_main26
;wifi6.c,258 :: 		case wifi_rsp_system_hello_id:
L_main28:
;wifi6.c,260 :: 		TFT_clear();
BL	_TFT_clear+0
;wifi6.c,261 :: 		show_status("UART connected",1);
MOVW	R0, #lo_addr(?lstr20_wifi6+0)
MOVT	R0, #hi_addr(?lstr20_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,266 :: 		goto_state(wlan_state_reset);
MOVS	R0, #1
BL	_goto_state+0
;wifi6.c,267 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,269 :: 		case wifi_evt_system_boot_id:
L_main29:
;wifi6.c,271 :: 		show_status("Boot successfull.",1);
MOVW	R0, #lo_addr(?lstr21_wifi6+0)
MOVT	R0, #hi_addr(?lstr21_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,272 :: 		show_status("Major version:",1);
MOVW	R0, #lo_addr(?lstr22_wifi6+0)
MOVT	R0, #hi_addr(?lstr22_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,273 :: 		show_status_dec(pck->evt_system_boot.major,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,274 :: 		show_status("Minor version:",1);
MOVW	R0, #lo_addr(?lstr23_wifi6+0)
MOVT	R0, #hi_addr(?lstr23_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,275 :: 		show_status_dec(pck->evt_system_boot.minor,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #2
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,276 :: 		show_status("Patch version:",1);
MOVW	R0, #lo_addr(?lstr24_wifi6+0)
MOVT	R0, #hi_addr(?lstr24_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,277 :: 		show_status_dec(pck->evt_system_boot.patch,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,278 :: 		show_status("Build:",1);
MOVW	R0, #lo_addr(?lstr25_wifi6+0)
MOVT	R0, #hi_addr(?lstr25_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,279 :: 		show_status_dec(pck->evt_system_boot.build,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #6
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,285 :: 		goto_state(wlan_state_max_power);
MOVS	R0, #8
BL	_goto_state+0
;wifi6.c,286 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,288 :: 		case wifi_rsp_system_set_max_power_saving_state_id:
L_main30:
;wifi6.c,290 :: 		if(pck->rsp_system_set_max_power_saving_state.result==0)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_main31
;wifi6.c,292 :: 		show_status("Power saver off.",1);
MOVW	R0, #lo_addr(?lstr26_wifi6+0)
MOVT	R0, #hi_addr(?lstr26_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,293 :: 		}
IT	AL
BAL	L_main32
L_main31:
;wifi6.c,296 :: 		show_status("Power saver command error!",1);
MOVW	R0, #lo_addr(?lstr27_wifi6+0)
MOVT	R0, #hi_addr(?lstr27_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,297 :: 		}
L_main32:
;wifi6.c,302 :: 		goto_state(wlan_state_wifi_on);
MOVS	R0, #2
BL	_goto_state+0
;wifi6.c,303 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,305 :: 		case wifi_rsp_sme_wifi_on_id:
L_main33:
;wifi6.c,307 :: 		show_status("on_wifi_rsp_sme_wifi_on",1);
MOVW	R0, #lo_addr(?lstr28_wifi6+0)
MOVT	R0, #hi_addr(?lstr28_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,309 :: 		if(pck->rsp_sme_wifi_on.result != wifi_err_success)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main34
;wifi6.c,311 :: 		show_status("Wi-Fi On command failed!",1);
MOVW	R0, #lo_addr(?lstr29_wifi6+0)
MOVT	R0, #hi_addr(?lstr29_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,312 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main35:
IT	AL
BAL	L_main35
;wifi6.c,313 :: 		}
L_main34:
;wifi6.c,314 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,316 :: 		case wifi_evt_sme_wifi_is_on_id:
L_main37:
;wifi6.c,318 :: 		show_status("WiFi is on.",1);
MOVW	R0, #lo_addr(?lstr30_wifi6+0)
MOVT	R0, #hi_addr(?lstr30_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,320 :: 		if(pck->evt_sme_wifi_is_on.result != wifi_err_success)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main38
;wifi6.c,322 :: 		show_status("Unable to switch Wi-Fi on!",0);
MOVW	R0, #lo_addr(?lstr31_wifi6+0)
MOVT	R0, #hi_addr(?lstr31_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,323 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main39:
IT	AL
BAL	L_main39
;wifi6.c,324 :: 		}
L_main38:
;wifi6.c,329 :: 		goto_state(wlan_state_set_pass);
MOVS	R0, #9
BL	_goto_state+0
;wifi6.c,330 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,332 :: 		case wifi_rsp_sme_set_password_id:
L_main41:
;wifi6.c,334 :: 		show_status("wifi_rsp_sme_set_password",1);
MOVW	R0, #lo_addr(?lstr32_wifi6+0)
MOVT	R0, #hi_addr(?lstr32_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,336 :: 		if(pck->rsp_sme_set_password.status != wifi_err_success)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main42
;wifi6.c,338 :: 		show_status("Password change failed!",0);
MOVW	R0, #lo_addr(?lstr33_wifi6+0)
MOVT	R0, #hi_addr(?lstr33_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,339 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main43:
IT	AL
BAL	L_main43
;wifi6.c,340 :: 		}
L_main42:
;wifi6.c,345 :: 		goto_state(wlan_state_connect);
MOVS	R0, #3
BL	_goto_state+0
;wifi6.c,346 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,349 :: 		case wifi_evt_sme_connected_id:
L_main45:
;wifi6.c,351 :: 		show_status("wifi_evt_sme_connected_id",1);
MOVW	R0, #lo_addr(?lstr34_wifi6+0)
MOVT	R0, #hi_addr(?lstr34_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,353 :: 		show_status("AP connected:",1);
MOVW	R0, #lo_addr(?lstr35_wifi6+0)
MOVT	R0, #hi_addr(?lstr35_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,354 :: 		show_status(ssid_data,1);
MOVW	R0, #lo_addr(_ssid_data+0)
MOVT	R0, #hi_addr(_ssid_data+0)
LDR	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,355 :: 		show_status("Obtaining IP configuration...",0);
MOVW	R0, #lo_addr(?lstr36_wifi6+0)
MOVT	R0, #hi_addr(?lstr36_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,357 :: 		if(pck->evt_sme_connected.status)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRSB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main46
;wifi6.c,359 :: 		show_status("Wi-Fi connection failed!",0);
MOVW	R0, #lo_addr(?lstr37_wifi6+0)
MOVT	R0, #hi_addr(?lstr37_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,360 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main47:
IT	AL
BAL	L_main47
;wifi6.c,361 :: 		}
L_main46:
;wifi6.c,367 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,370 :: 		case wifi_evt_tcpip_configuration_id:
L_main49:
;wifi6.c,372 :: 		device_ip = pck->evt_tcpip_configuration.address;
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
MOV	R3, #4
MOVW	R2, #lo_addr(_device_ip+0)
MOVT	R2, #hi_addr(_device_ip+0)
MOV	R1, R0
L_main50:
LDRB	R0, [R1, #0]
STRB	R0, [R2, #0]
SUBS	R3, R3, #1
ADDS	R1, R1, #1
ADDS	R2, R2, #1
CMP	R3, #0
IT	NE
BNE	L_main50
;wifi6.c,373 :: 		show_status("Connected.",1);
MOVW	R0, #lo_addr(?lstr38_wifi6+0)
MOVT	R0, #hi_addr(?lstr38_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,374 :: 		show_status("Device IP:",1);
MOVW	R0, #lo_addr(?lstr39_wifi6+0)
MOVT	R0, #hi_addr(?lstr39_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,375 :: 		show_status_IP(device_ip.a,1);
MOVS	R1, #1
MOVW	R0, #lo_addr(_device_ip+0)
MOVT	R0, #hi_addr(_device_ip+0)
BL	_show_status_IP+0
;wifi6.c,376 :: 		show_status("Default gateway:",1);
MOVW	R0, #lo_addr(?lstr40_wifi6+0)
MOVT	R0, #hi_addr(?lstr40_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,377 :: 		show_status_IP(pck->evt_tcpip_configuration.gateway.a,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, #8
MOVS	R1, #1
BL	_show_status_IP+0
;wifi6.c,383 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,385 :: 		case wifi_evt_sme_interface_status_id:
L_main51:
;wifi6.c,387 :: 		show_status("on_wifi_evt_sme_interface_status",1);
MOVW	R0, #lo_addr(?lstr41_wifi6+0)
MOVT	R0, #hi_addr(?lstr41_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,389 :: 		if(pck->evt_sme_interface_status.status)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #1
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main52
;wifi6.c,394 :: 		goto_state(wlan_state_dns_resolve);
MOVS	R0, #7
BL	_goto_state+0
;wifi6.c,395 :: 		}
L_main52:
;wifi6.c,396 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,398 :: 		case wifi_rsp_tcpip_dns_gethostbyname_id:
L_main53:
;wifi6.c,400 :: 		show_status("wifi_rsp_tcpip_dns_gethostbyname",1);
MOVW	R0, #lo_addr(?lstr42_wifi6+0)
MOVT	R0, #hi_addr(?lstr42_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,401 :: 		show_status("Result:",1);
MOVW	R0, #lo_addr(?lstr43_wifi6+0)
MOVT	R0, #hi_addr(?lstr43_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,402 :: 		show_status_hex(pck->rsp_tcpip_dns_gethostbyname.result,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_hex+0
;wifi6.c,403 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,405 :: 		case wifi_evt_tcpip_dns_gethostbyname_result_id:
L_main54:
;wifi6.c,407 :: 		show_status("wifi_evt_tcpip_dns_gethostbyname_result",1);
MOVW	R0, #lo_addr(?lstr44_wifi6+0)
MOVT	R0, #hi_addr(?lstr44_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,408 :: 		show_status("Result:",1);
MOVW	R0, #lo_addr(?lstr45_wifi6+0)
MOVT	R0, #hi_addr(?lstr45_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,409 :: 		show_status_hex(pck->evt_tcpip_dns_gethostbyname_result.result,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_hex+0
;wifi6.c,410 :: 		dest_ip =  pck->evt_tcpip_dns_gethostbyname_result.address.u;
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #2
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_dest_ip+0)
MOVT	R0, #hi_addr(_dest_ip+0)
STR	R1, [R0, #0]
;wifi6.c,411 :: 		show_status("DNS resolved:",1);
MOVW	R0, #lo_addr(?lstr46_wifi6+0)
MOVT	R0, #hi_addr(?lstr46_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,412 :: 		show_status(pck->evt_tcpip_dns_gethostbyname_result.name.data,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #6
ADDS	R0, R0, #1
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,413 :: 		show_status("Host IP address:",1);
MOVW	R0, #lo_addr(?lstr47_wifi6+0)
MOVT	R0, #hi_addr(?lstr47_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,414 :: 		show_status_IP(pck->evt_tcpip_dns_gethostbyname_result.address.a,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #2
MOVS	R1, #1
BL	_show_status_IP+0
;wifi6.c,420 :: 		goto_state(wlan_state_tcp_connect);
MOVS	R0, #4
BL	_goto_state+0
;wifi6.c,421 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,423 :: 		case wifi_evt_tcpip_endpoint_status_id:
L_main55:
;wifi6.c,425 :: 		show_status("wifi_evt_tcpip_endpoint_status\n",1);
MOVW	R0, #lo_addr(?lstr48_wifi6+0)
MOVT	R0, #hi_addr(?lstr48_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,426 :: 		show_status("Endpoint:",1);
MOVW	R0, #lo_addr(?lstr49_wifi6+0)
MOVT	R0, #hi_addr(?lstr49_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,427 :: 		show_status_dec(pck->evt_tcpip_endpoint_status.endpoint,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRB	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,428 :: 		show_status("Local IP:",1);
MOVW	R0, #lo_addr(?lstr50_wifi6+0)
MOVT	R0, #hi_addr(?lstr50_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,429 :: 		show_status_IP(pck->evt_tcpip_endpoint_status.local_ip.a,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #1
MOVS	R1, #1
BL	_show_status_IP+0
;wifi6.c,430 :: 		show_status("Local port:",1);
MOVW	R0, #lo_addr(?lstr51_wifi6+0)
MOVT	R0, #hi_addr(?lstr51_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,431 :: 		show_status_dec(pck->evt_tcpip_endpoint_status.local_port,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #5
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,432 :: 		show_status("Remote IP:",1);
MOVW	R0, #lo_addr(?lstr52_wifi6+0)
MOVT	R0, #hi_addr(?lstr52_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,433 :: 		show_status_IP(pck->evt_tcpip_endpoint_status.remote_ip.a,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #7
MOVS	R1, #1
BL	_show_status_IP+0
;wifi6.c,434 :: 		show_status("Remote port:",1);
MOVW	R0, #lo_addr(?lstr53_wifi6+0)
MOVT	R0, #hi_addr(?lstr53_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,435 :: 		show_status_dec(pck->evt_tcpip_endpoint_status.remote_port,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, #11
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,440 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,443 :: 		case wifi_rsp_tcpip_tcp_connect_id:
L_main56:
;wifi6.c,445 :: 		show_status("TCP connection established.",1);
MOVW	R0, #lo_addr(?lstr54_wifi6+0)
MOVT	R0, #hi_addr(?lstr54_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,446 :: 		show_status("wifi_rsp_tcpip_tcp_connect",1);
MOVW	R0, #lo_addr(?lstr55_wifi6+0)
MOVT	R0, #hi_addr(?lstr55_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,447 :: 		show_status("Result:",1);
MOVW	R0, #lo_addr(?lstr56_wifi6+0)
MOVT	R0, #hi_addr(?lstr56_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,448 :: 		show_status_dec(pck->rsp_tcpip_tcp_connect.result,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,453 :: 		if(pck->rsp_tcpip_tcp_connect.result != 0)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main57
;wifi6.c,455 :: 		show_status("TCP connection failed",0);
MOVW	R0, #lo_addr(?lstr57_wifi6+0)
MOVT	R0, #hi_addr(?lstr57_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,456 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main58:
IT	AL
BAL	L_main58
;wifi6.c,457 :: 		}
L_main57:
;wifi6.c,459 :: 		tcp_endpoint = pck->rsp_tcpip_tcp_connect.endpoint;
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #2
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_tcp_endpoint+0)
MOVT	R0, #hi_addr(_tcp_endpoint+0)
STRB	R1, [R0, #0]
;wifi6.c,460 :: 		show_status("TCP endpoint ID:",1);
MOVW	R0, #lo_addr(?lstr58_wifi6+0)
MOVT	R0, #hi_addr(?lstr58_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,461 :: 		show_status_dec(tcp_endpoint,1);
MOVW	R0, #lo_addr(_tcp_endpoint+0)
MOVT	R0, #hi_addr(_tcp_endpoint+0)
LDRB	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,467 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,470 :: 		case wifi_evt_endpoint_status_id:
L_main60:
;wifi6.c,472 :: 		show_status("wifi_evt_endpoint_status",1);
MOVW	R0, #lo_addr(?lstr59_wifi6+0)
MOVT	R0, #hi_addr(?lstr59_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,473 :: 		show_status("Endpoint:",1);
MOVW	R0, #lo_addr(?lstr60_wifi6+0)
MOVT	R0, #hi_addr(?lstr60_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,474 :: 		show_status_dec(pck->evt_endpoint_status.endpoint,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRB	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,475 :: 		show_status("Type:",1);
MOVW	R0, #lo_addr(?lstr61_wifi6+0)
MOVT	R0, #hi_addr(?lstr61_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,476 :: 		show_status_dec(pck->evt_endpoint_status.type,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #1
LDR	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,477 :: 		show_status("Streaming:",1);
MOVW	R0, #lo_addr(?lstr62_wifi6+0)
MOVT	R0, #hi_addr(?lstr62_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,478 :: 		show_status_dec(pck->evt_endpoint_status.streaming,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #5
LDRB	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,479 :: 		show_status("Destination:",1);
MOVW	R0, #lo_addr(?lstr63_wifi6+0)
MOVT	R0, #hi_addr(?lstr63_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,480 :: 		show_status_dec(pck->evt_endpoint_status.destination,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #6
LDRSB	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,481 :: 		show_status("Active:",1);
MOVW	R0, #lo_addr(?lstr64_wifi6+0)
MOVT	R0, #hi_addr(?lstr64_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,482 :: 		show_status_dec(pck->evt_endpoint_status.active,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #7
LDRB	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,487 :: 		if(pck->evt_endpoint_status.endpoint == tcp_endpoint && pck->evt_endpoint_status.active && internal_state == wlan_state_tcp_connect)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_tcp_endpoint+0)
MOVT	R0, #hi_addr(_tcp_endpoint+0)
LDRB	R0, [R0, #0]
CMP	R1, R0
IT	NE
BNE	L__main97
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #7
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L__main96
MOVW	R0, #lo_addr(_internal_state+0)
MOVT	R0, #hi_addr(_internal_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #4
IT	NE
BNE	L__main95
L__main94:
;wifi6.c,489 :: 		goto_state(wlan_state_tcp_send);
MOVS	R0, #5
BL	_goto_state+0
;wifi6.c,487 :: 		if(pck->evt_endpoint_status.endpoint == tcp_endpoint && pck->evt_endpoint_status.active && internal_state == wlan_state_tcp_connect)
L__main97:
L__main96:
L__main95:
;wifi6.c,491 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,495 :: 		case wifi_rsp_endpoint_send_id:
L_main64:
;wifi6.c,497 :: 		show_status("Request sent!",1);
MOVW	R0, #lo_addr(?lstr65_wifi6+0)
MOVT	R0, #hi_addr(?lstr65_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,498 :: 		show_status("Downloading data...",0);
MOVW	R0, #lo_addr(?lstr66_wifi6+0)
MOVT	R0, #hi_addr(?lstr66_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,499 :: 		if(pck->rsp_endpoint_send.endpoint == tcp_endpoint && internal_state == wlan_state_tcp_send && pck->rsp_endpoint_send.result != wifi_err_success)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #2
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_tcp_endpoint+0)
MOVT	R0, #hi_addr(_tcp_endpoint+0)
LDRB	R0, [R0, #0]
CMP	R1, R0
IT	NE
BNE	L__main100
MOVW	R0, #lo_addr(_internal_state+0)
MOVT	R0, #hi_addr(_internal_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #5
IT	NE
BNE	L__main99
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L__main98
L__main93:
;wifi6.c,501 :: 		show_status("Endpoint send failed!",1);
MOVW	R0, #lo_addr(?lstr67_wifi6+0)
MOVT	R0, #hi_addr(?lstr67_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,499 :: 		if(pck->rsp_endpoint_send.endpoint == tcp_endpoint && internal_state == wlan_state_tcp_send && pck->rsp_endpoint_send.result != wifi_err_success)
L__main100:
L__main99:
L__main98:
;wifi6.c,507 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,509 :: 		case wifi_evt_endpoint_data_id:
L_main68:
;wifi6.c,515 :: 		memcpy(recv_buffer+recv_buffer_idx, pck->evt_endpoint_data.data.data, pck->evt_endpoint_data.data.len);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R1, R0, #1
LDRB	R0, [R1, #0]
UXTB	R3, R0
ADDS	R2, R1, #1
MOVW	R0, #lo_addr(_recv_buffer_idx+0)
MOVT	R0, #hi_addr(_recv_buffer_idx+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_recv_buffer+0)
MOVT	R0, #hi_addr(_recv_buffer+0)
ADDS	R0, R0, R1
MOV	R1, R2
SXTH	R2, R3
BL	_memcpy+0
;wifi6.c,516 :: 		recv_buffer_idx += pck->evt_endpoint_data.data.len;
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #1
LDRB	R2, [R0, #0]
MOVW	R1, #lo_addr(_recv_buffer_idx+0)
MOVT	R1, #hi_addr(_recv_buffer_idx+0)
LDR	R0, [R1, #0]
ADDS	R0, R0, R2
STR	R0, [R1, #0]
;wifi6.c,517 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,520 :: 		case wifi_evt_endpoint_closing_id:
L_main69:
;wifi6.c,522 :: 		show_status("Data downloaded.",1);
MOVW	R0, #lo_addr(?lstr68_wifi6+0)
MOVT	R0, #hi_addr(?lstr68_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,523 :: 		show_status("wifi_evt_endpoint_closing",1);
MOVW	R0, #lo_addr(?lstr69_wifi6+0)
MOVT	R0, #hi_addr(?lstr69_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,524 :: 		if(internal_state == wlan_state_tcp_send)
MOVW	R0, #lo_addr(_internal_state+0)
MOVT	R0, #hi_addr(_internal_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #5
IT	NE
BNE	L_main70
;wifi6.c,526 :: 		recv_buffer[recv_buffer_idx] = '\0';
MOVW	R0, #lo_addr(_recv_buffer_idx+0)
MOVT	R0, #hi_addr(_recv_buffer_idx+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_recv_buffer+0)
MOVT	R0, #hi_addr(_recv_buffer+0)
ADDS	R1, R0, R1
MOVS	R0, #0
STRB	R0, [R1, #0]
;wifi6.c,527 :: 		goto_state(wlan_state_disconnect);
MOVS	R0, #6
BL	_goto_state+0
;wifi6.c,532 :: 		}
IT	AL
BAL	L_main71
L_main70:
;wifi6.c,538 :: 		show_status("TCP connection closed unexpectedly!",0);
MOVW	R0, #lo_addr(?lstr70_wifi6+0)
MOVT	R0, #hi_addr(?lstr70_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,539 :: 		show_status("Endpoint:",1);
MOVW	R0, #lo_addr(?lstr71_wifi6+0)
MOVT	R0, #hi_addr(?lstr71_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,540 :: 		show_status_dec(pck->evt_endpoint_closing.endpoint,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
ADDS	R0, R0, #2
LDRB	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_dec+0
;wifi6.c,541 :: 		show_status("Reason:",1);
MOVW	R0, #lo_addr(?lstr72_wifi6+0)
MOVT	R0, #hi_addr(?lstr72_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,542 :: 		show_status_hex(pck->evt_endpoint_closing.reason,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_hex+0
;wifi6.c,543 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main72:
IT	AL
BAL	L_main72
;wifi6.c,544 :: 		}
L_main71:
;wifi6.c,545 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,549 :: 		case wifi_evt_system_power_saving_state_id:
L_main74:
;wifi6.c,551 :: 		if(pck->evt_system_power_saving_state.state == 1)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_main75
;wifi6.c,552 :: 		show_status("Power save mode enabled",1);
MOVW	R0, #lo_addr(?lstr73_wifi6+0)
MOVT	R0, #hi_addr(?lstr73_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
IT	AL
BAL	L_main76
L_main75:
;wifi6.c,554 :: 		show_status("Power save mode disabled",1);
MOVW	R0, #lo_addr(?lstr74_wifi6+0)
MOVT	R0, #hi_addr(?lstr74_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
L_main76:
;wifi6.c,555 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,558 :: 		case wifi_rsp_sme_disconnect_id:
L_main77:
;wifi6.c,560 :: 		show_status("on_wifi_rsp_sme_disconnect",1);
MOVW	R0, #lo_addr(?lstr75_wifi6+0)
MOVT	R0, #hi_addr(?lstr75_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,562 :: 		if(pck->rsp_sme_disconnect.result != wifi_err_success)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main78
;wifi6.c,564 :: 		show_status("Wi-Fi disconnect failed",1);
MOVW	R0, #lo_addr(?lstr76_wifi6+0)
MOVT	R0, #hi_addr(?lstr76_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,565 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main79:
IT	AL
BAL	L_main79
;wifi6.c,566 :: 		}
L_main78:
;wifi6.c,567 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,569 :: 		case wifi_evt_sme_disconnected_id:
L_main81:
;wifi6.c,571 :: 		show_status("on_wifi_evt_sme_disconnected:",1);
MOVW	R0, #lo_addr(?lstr77_wifi6+0)
MOVT	R0, #hi_addr(?lstr77_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,572 :: 		if(internal_state == wlan_state_disconnect)
MOVW	R0, #lo_addr(_internal_state+0)
MOVT	R0, #hi_addr(_internal_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #6
IT	NE
BNE	L_main82
;wifi6.c,577 :: 		show_status("Wi-Fi disconnected.",1);
MOVW	R0, #lo_addr(?lstr78_wifi6+0)
MOVT	R0, #hi_addr(?lstr78_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,578 :: 		show_data_xml(recv_buffer);
MOVW	R0, #lo_addr(_recv_buffer+0)
MOVT	R0, #hi_addr(_recv_buffer+0)
BL	_show_data_xml+0
;wifi6.c,579 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main83:
IT	AL
BAL	L_main83
;wifi6.c,580 :: 		} else
L_main82:
;wifi6.c,585 :: 		show_status("Unexpected Wi-Fi disconnect!",0);
MOVW	R0, #lo_addr(?lstr79_wifi6+0)
MOVT	R0, #hi_addr(?lstr79_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,586 :: 		show_status_hex(pck->evt_sme_disconnected.reason,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_hex+0
;wifi6.c,587 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main86:
IT	AL
BAL	L_main86
;wifi6.c,591 :: 		case wifi_evt_sme_connect_failed_id:
L_main88:
;wifi6.c,596 :: 		show_status("on_wifi_evt_sme_connect_failed:",1);
MOVW	R0, #lo_addr(?lstr80_wifi6+0)
MOVT	R0, #hi_addr(?lstr80_wifi6+0)
MOVS	R1, #1
BL	_show_status+0
;wifi6.c,597 :: 		show_status_hex(pck->evt_sme_connect_failed.reason,1);
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
MOVS	R1, #1
BL	_show_status_hex+0
;wifi6.c,598 :: 		if(pck->evt_sme_connect_failed.reason != wifi_err_success)
MOVW	R0, #lo_addr(_pck+0)
MOVT	R0, #hi_addr(_pck+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, #4
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main89
;wifi6.c,600 :: 		show_status("Wi-Fi connection failed",0);
MOVW	R0, #lo_addr(?lstr81_wifi6+0)
MOVT	R0, #hi_addr(?lstr81_wifi6+0)
MOVS	R1, #0
BL	_show_status+0
;wifi6.c,601 :: 		MCU_END
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MCU_RTS+0)
MOVT	R0, #hi_addr(MCU_RTS+0)
STR	R1, [R0, #0]
L_main90:
IT	AL
BAL	L_main90
;wifi6.c,602 :: 		}
L_main89:
;wifi6.c,603 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,605 :: 		default:
L_main92:
;wifi6.c,606 :: 		break;
IT	AL
BAL	L_main27
;wifi6.c,608 :: 		}
L_main26:
MOVW	R0, #8
MOVT	R0, #513
LDR	R1, [SP, #4]
CMP	R1, R0
IT	EQ
BEQ	L_main28
MOVW	R0, #136
MOVT	R0, #1
CMP	R1, R0
IT	EQ
BEQ	L_main29
MOVW	R0, #8
MOVT	R0, #769
CMP	R1, R0
IT	EQ
BEQ	L_main30
MOVW	R0, #8
MOVT	R0, #3
CMP	R1, R0
IT	EQ
BEQ	L_main33
MOVW	R0, #136
MOVT	R0, #3
CMP	R1, R0
IT	EQ
BEQ	L_main37
MOVW	R0, #8
MOVT	R0, #1283
CMP	R1, R0
IT	EQ
BEQ	L_main41
MOVW	R0, #136
MOVT	R0, #1283
CMP	R1, R0
IT	EQ
BEQ	L_main45
MOVW	R0, #136
MOVT	R0, #4
CMP	R1, R0
IT	EQ
BEQ	L_main49
MOVW	R0, #136
MOVT	R0, #1795
CMP	R1, R0
IT	EQ
BEQ	L_main51
MOVW	R0, #8
MOVT	R0, #1540
CMP	R1, R0
IT	EQ
BEQ	L_main53
MOVW	R0, #136
MOVT	R0, #772
CMP	R1, R0
IT	EQ
BEQ	L_main54
MOVW	R0, #136
MOVT	R0, #516
CMP	R1, R0
IT	EQ
BEQ	L_main55
MOVW	R0, #8
MOVT	R0, #260
CMP	R1, R0
IT	EQ
BEQ	L_main56
MOVW	R0, #136
MOVT	R0, #517
CMP	R1, R0
IT	EQ
BEQ	L_main60
MOVW	R0, #8
MOVT	R0, #5
CMP	R1, R0
IT	EQ
BEQ	L_main64
MOVW	R0, #136
MOVT	R0, #261
CMP	R1, R0
IT	EQ
BEQ	L_main68
MOVW	R0, #136
MOVT	R0, #773
CMP	R1, R0
IT	EQ
BEQ	L_main69
MOVW	R0, #136
MOVT	R0, #769
CMP	R1, R0
IT	EQ
BEQ	L_main74
MOVW	R0, #8
MOVT	R0, #2051
CMP	R1, R0
IT	EQ
BEQ	L_main77
MOVW	R0, #136
MOVT	R0, #1539
CMP	R1, R0
IT	EQ
BEQ	L_main81
MOVW	R0, #136
MOVT	R0, #2051
CMP	R1, R0
IT	EQ
BEQ	L_main88
IT	AL
BAL	L_main92
L_main27:
;wifi6.c,609 :: 		}
IT	AL
BAL	L_main17
;wifi6.c,610 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
