#line 1 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/uros-bojovic/documents/ivan/projekat/wifi6_test_ap/display.h"


uint8_t TFT_display_message(char* text);
void TFT_clear();
void init_TFT();
void show_status(uint8_t* text, uint8_t uart_only);
void show_status_hex(uint32_t buffer, uint8_t mode);
void show_status_dec(uint32_t buffer, uint8_t uart_only);
void show_status_IP(uint8_t *address, uint8_t uart_only);
void show_status_IP_uint(uint32_t addr, uint8_t uart_only);
void show_data_xml(uint8_t *xml_data);
#line 1 "c:/users/uros-bojovic/documents/ivan/projekat/wifi6_test_ap/uart.h"


int8_t uart_send (uint16_t data_len, uint8_t* _data);
int8_t uart_get (uint16_t data_len, uint8_t *buff);
void init_WF121_UART();
#line 18 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
sbit MCU_CTS at GPIOD_IDR.B13;
sbit MCU_RTS at GPIOD_ODR.B10;


uint8_t rx_buffer;



void init_WF121_UART()
{

 GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_10);
 GPIO_Digital_Input(&GPIOD_BASE, _GPIO_PINMASK_13);


 MCU_RTS=0;
 delay_ms(100);
 MCU_RTS=1;


 UART3_Init_Advanced(115200, _UART_8_BIT_DATA, _UART_NOPARITY, _UART_ONE_STOPBIT, &_GPIO_MODULE_USART3_PD89);
 show_status("UART3 initialized",1);



 show_status("Please connect the module to mikroBUS 1",0);
 show_status("and restart the MCU.",0);
}


int8_t uart_send (uint16_t data_len, uint8_t* _data)
{
 uint8_t* data_ptr = _data;
#line 54 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
 if (data_len <= 0)
 return -1;
 while(data_len)
 {
 if( MCU_CTS == 0 )
 {
#line 64 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
 UART3_Write(*(data_ptr++));

 data_len--;
 }
 }
#line 72 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
 return 0;
}


int8_t uart_get (uint16_t data_len, uint8_t *buff)
{
 uint8_t count = data_len;
 if (data_len <= 0)
 return -1;
#line 84 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
 while(count--)
 {
 MCU_RTS = 0;
 while(!UART3_Data_Ready());
 MCU_RTS = 1;

 rx_buffer = UART3_Read();

 *(buff++) = rx_buffer;
#line 96 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
 }
#line 100 "C:/Users/uros-bojovic/Documents/Ivan/Projekat/wifi6_test_AP/uart.c"
 return 0;
}
